<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__ecc__nist__p_8h" kind="file" language="C++">
    <compoundname>cy_crypto_core_ecc_nist_p.h</compoundname>
    <includes local="yes" refid="cy__crypto__core__ecc_8h">cy_crypto_core_ecc.h</includes>
    <includedby local="yes" refid="cy__crypto__core_8h">cy_crypto_core.h</includedby>
    <includedby local="yes" refid="cy__crypto__core__ecc__ecdsa_8c">cy_crypto_core_ecc_ecdsa.c</includedby>
    <includedby local="yes" refid="cy__crypto__core__ecc__key__gen_8c">cy_crypto_core_ecc_key_gen.c</includedby>
    <includedby local="yes" refid="cy__crypto__core__ecc__nist__p_8c">cy_crypto_core_ecc_nist_p.c</includedby>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1adf11a50280053d0eebbf684c851fd563" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_NistP_SetMode</definition>
        <argsstring>(uint32_t bitsize)</argsstring>
        <name>Cy_Crypto_Core_EC_NistP_SetMode</name>
        <param>
          <type>uint32_t</type>
          <declname>bitsize</declname>
        </param>
        <briefdescription>
<para>Enable some curve specific features. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>bitsize</parametername>
</parameternamelist>
<parameterdescription>
<para>bitsize of the used NIST P curve. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1912" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1889" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="39" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a0925f3d2f618bebe975791b0d607c2c4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_NistP_SetRedAlg</definition>
        <argsstring>(cy_en_crypto_ecc_red_mul_algs_t alg)</argsstring>
        <name>Cy_Crypto_Core_EC_NistP_SetRedAlg</name>
        <param>
          <type>cy_en_crypto_ecc_red_mul_algs_t</type>
          <declname>alg</declname>
        </param>
        <briefdescription>
<para>Select which reduction algorithm has to be used. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>alg</parametername>
</parameternamelist>
<parameterdescription>
<para>one of {CURVE_SPECIFIC_RED_ALG, SHIFT_MUL_RED_ALG, BARRETT_RED_ALG}. See cy_en_crypto_ecc_red_mul_algs_t. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1929" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1926" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="40" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__asymmetric__functions_1ga3339d6b9fad08c824ef9d94d0234e903" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>cy_en_crypto_status_t Cy_Crypto_Core_EC_NistP_PointMultiplication</definition>
        <argsstring>(CRYPTO_Type *base, cy_en_crypto_ecc_curve_id_t curveID, const uint8_t *ecpGX, const uint8_t *ecpGY, const uint8_t *ecpD, uint8_t *ecpQX, uint8_t *ecpQY)</argsstring>
        <name>Cy_Crypto_Core_EC_NistP_PointMultiplication</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__lld__asymmetric__enums_1ga03e136772067494dd44c027b354ce41b">cy_en_crypto_ecc_curve_id_t</ref></type>
          <declname>curveID</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>ecpGX</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>ecpGY</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>ecpD</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ecpQX</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ecpQY</declname>
        </param>
        <briefdescription>
<para>Elliptic curve point multiplication in GF(p). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>curveID</parametername>
</parameternamelist>
<parameterdescription>
<para>See <ref kindref="member" refid="group__group__crypto__lld__asymmetric__enums_1ga03e136772067494dd44c027b354ce41b">cy_en_crypto_ecc_curve_id_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ecpGX</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine X coordinate of base point.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ecpGY</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine Y coordinate of base point.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ecpD</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for multiplication value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ecpQX</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine X coordinate of result point.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ecpQY</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine Y coordinate of result point.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>status code. See <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2075" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1995" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="46" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a67ccd28e2ed4ec3b030634fd46eab53b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_MulMod</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t z, uint32_t a, uint32_t b, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_EC_MulMod</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>a</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>b</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Modular multiplication in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para>Leaf function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>z</parametername>
</parameternamelist>
<parameterdescription>
<para>Result = a * b % mod. Register index for product value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>a</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for multiplicand value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>b</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for multiplier value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit size. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1285" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1257" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="55" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a8dd8456363f9cdbf1a45a8bf7baa752b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_DivMod</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t z, uint32_t a, uint32_t b, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_EC_DivMod</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>a</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>b</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Modular division in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para>This algorithm works when "dividend" and "divisor" are relatively prime, Reference: "From Euclid's GCD to Montgomery Multiplication to the Great Divide", S.C. Schantz</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>z</parametername>
</parameternamelist>
<parameterdescription>
<para>Result = a / b % mod. Register index for quotient value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>a</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for dividend value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>b</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for divisor value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit size. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1509" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1419" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="56" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a859b077605c7cb897b9612202c3fc71c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_SquareMod</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t z, uint32_t a, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_EC_SquareMod</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>a</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Modular squaring in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>z</parametername>
</parameternamelist>
<parameterdescription>
<para>Result = a * a % mod. Register index for product value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>a</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for multiplicand and multiplier value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit size. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1391" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1385" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="57" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a5cf5aa103d4976845c6f85f0d1bbca45" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_Bar_MulRed</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t z, uint32_t x, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_EC_Bar_MulRed</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>x</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Curve-specific multiplication modular reduction for P224. </para>        </briefdescription>
        <detaileddescription>
<para>t[b-1:0] = z_double &gt;&gt; size t = t * VR_BARRETT t = t + ((z_double &gt;&gt; size) &lt;&lt; size) - for leading '1' Barrett bit. t = t &gt;&gt; size t = t * mod - r2 (not reduced) u = z_double - t - r = r1 - r2 (not reduced)</para><para>u = IF (u &gt;= mod) u = u - mod - reduce r using mod u = IF (u &gt;= mod) u = u - mod</para><para>z = a_double % mod</para><para>Leaf function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>z</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for Barrett reduced value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>x</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for non reduced value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit size. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1189" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1141" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="58" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a1d826b17d6c983fda6b3bb6f9fd784d7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_AddMod</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t z, uint32_t a, uint32_t b)</argsstring>
        <name>Cy_Crypto_Core_EC_AddMod</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>a</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>b</declname>
        </param>
        <briefdescription>
<para>Modular addition in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>z</parametername>
</parameternamelist>
<parameterdescription>
<para>Result = a + b % mod. Register index for sum value</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>a</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for augend a value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>b</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for addend b value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1312" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1307" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="60" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a9bd03bb2be068d5b5f070e6a69aa51b5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_SubMod</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t z, uint32_t a, uint32_t b)</argsstring>
        <name>Cy_Crypto_Core_EC_SubMod</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>a</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>b</declname>
        </param>
        <briefdescription>
<para>Modular subtraction in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>z</parametername>
</parameternamelist>
<parameterdescription>
<para>Result = a - b % mod. Register index for difference value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>a</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for minuend a value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>b</parametername>
</parameternamelist>
<parameterdescription>
<para>RRegister index for subtrahend b value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1338" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1334" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="61" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a9db109befc827b0e9adc4736e1cc8a2d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_HalfMod</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t z, uint32_t a)</argsstring>
        <name>Cy_Crypto_Core_EC_HalfMod</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>a</declname>
        </param>
        <briefdescription>
<para>Modular halving in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para>Leaf function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>z</parametername>
</parameternamelist>
<parameterdescription>
<para>Result = a / 2 % mod.Register index for result value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>a</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for value to be halved. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1363" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1358" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="62" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a1f16b100f5f4f4dbc8a525498d11ef78" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_JacobianEcAdd</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t s_x, uint32_t s_y, uint32_t s_z, uint32_t t_x, uint32_t t_y, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_JacobianEcAdd</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_x</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_y</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>t_x</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>t_y</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Elliptic curve point addition on mixed Jacobian projective (s) / affine (t) coordinates in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para>Reference: "fast and regular algorithms for scalar multiplication over elliptic curves", M. Rivain. Upper case register variables refer to Jacobian projective coordinate values. Lower case register variables refer to affine coordinate values.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_x</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for Jacobian projective X coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_y</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for Jacobian projective Y coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_z</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for Jacobian projective Z coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>t_x</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine X coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>t_y</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine Y coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit size. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1686" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1628" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="64" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1ad4764908532415055ac33393b317e52e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_JacobianEcDouble</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t s_x, uint32_t s_y, uint32_t s_z, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_JacobianEcDouble</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_x</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_y</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Elliptic curve point doubling on Jacobian projective coordinates in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_x</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for Jacobian projective X coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_y</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for Jacobian projective Y coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_z</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for Jacobian projective Z coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit size. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1764" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1711" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="65" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a946fdac4b992802f6bfe4910d0c7e39c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_JacobianEcScalarMul</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t s_x, uint32_t s_y, uint32_t d, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_JacobianEcScalarMul</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_x</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_y</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>d</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Elliptic curve point multiplication on Jacobian projective coordinates in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_x</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine X coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_y</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine Y coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>d</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for multiplication/exponentiation value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit size. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1872" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1789" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="66" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a9b663f62da0fc8772c3b80f263dc1e45" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_JacobianTransform</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t s_x, uint32_t s_y, uint32_t s_z)</argsstring>
        <name>Cy_Crypto_Core_JacobianTransform</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_x</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_y</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_z</declname>
        </param>
        <briefdescription>
<para>Transformation from affine coordinates to Jacobian projective coordinates in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_x</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine X coordinate and Jacobian projective X coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_y</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine Y coordinate and Jacobian projective Y coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_z</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for Jacobian projective Z coordinate. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1536" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1531" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="68" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a7e0e3a1d6c3b0d37a5fcd3857b479f22" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_JacobianInvTransform</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t s_x, uint32_t s_y, uint32_t s_z, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_JacobianInvTransform</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_x</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_y</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>s_z</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Transformation from Jacobian projective coordinates to affine coordinates in GF(VR_P). </para>        </briefdescription>
        <detaileddescription>
<para>(s_x, s_y, s_z) -&gt; (p_x, p_y), where p_x = s_x/s_z^2, p_y = s_y/s_z^3</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_x</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine X coordinate and Jacobian projective X coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_y</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine Y coordinate and Jacobian projective Y coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>s_z</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for Jacobian projective Z coordinate.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit size. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1594" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1562" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="69" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__nist__p_8h_1a80a06ea89ce975434923a3e23f72fc15" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_EC_NistP_PointMul</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t p_x, uint32_t p_y, uint32_t p_d, uint32_t p_order, uint32_t bitsize)</argsstring>
        <name>Cy_Crypto_Core_EC_NistP_PointMul</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>p_x</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>p_y</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>p_d</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>p_order</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>bitsize</declname>
        </param>
        <briefdescription>
<para>Elliptic curve point multiplication in GF(p). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Crypto instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>p_x</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine X coordinate of base point.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>p_y</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for affine Y coordinate of base point.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>p_d</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for multiplication value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>p_order</parametername>
</parameternamelist>
<parameterdescription>
<para>Register index for order value..</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>bitsize</parametername>
</parameternamelist>
<parameterdescription>
<para>Bit size of the used curve. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1962" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_nist_p.c" bodystart="1957" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" line="71" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides constant and parameters for the API for the ECC in the Crypto driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="26"><highlight class="preprocessor">#if<sp />!defined(CY_CRYPTO_CORE_NIST_P_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_CORE_NIST_P_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_ecc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CPUSS_CRYPTO_VU<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_NistP_SetMode(uint32_t<sp />bitsize);</highlight></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_NistP_SetRedAlg(cy_en_crypto_ecc_red_mul_algs_t<sp />alg);</highlight></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal"><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__asymmetric__functions_1ga3339d6b9fad08c824ef9d94d0234e903">Cy_Crypto_Core_EC_NistP_PointMultiplication</ref>(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__asymmetric__enums_1ga03e136772067494dd44c027b354ce41b">cy_en_crypto_ecc_curve_id_t</ref><sp />curveID,</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*ecpGX,</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*ecpGY,</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*ecpD,</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*ecpQX,</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*ecpQY);</highlight></codeline>
<codeline lineno="55"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_MulMod(<sp />CRYPTO_Type<sp />*base,<sp />uint32_t<sp />z,<sp />uint32_t<sp />a,<sp />uint32_t<sp />b,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_DivMod(<sp />CRYPTO_Type<sp />*base,<sp />uint32_t<sp />z,<sp />uint32_t<sp />a,<sp />uint32_t<sp />b,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_SquareMod(<sp />CRYPTO_Type<sp />*base,<sp />uint32_t<sp />z,<sp />uint32_t<sp />a,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_Bar_MulRed(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />z,<sp />uint32_t<sp />x,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_AddMod(<sp />CRYPTO_Type<sp />*base,<sp />uint32_t<sp />z,<sp />uint32_t<sp />a,<sp />uint32_t<sp />b);</highlight></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_SubMod(<sp />CRYPTO_Type<sp />*base,<sp />uint32_t<sp />z,<sp />uint32_t<sp />a,<sp />uint32_t<sp />b);</highlight></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_HalfMod(<sp />CRYPTO_Type<sp />*base,<sp />uint32_t<sp />z,<sp />uint32_t<sp />a);</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_JacobianEcAdd(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />s_x,<sp />uint32_t<sp />s_y,<sp />uint32_t<sp />s_z,<sp />uint32_t<sp />t_x,<sp />uint32_t<sp />t_y,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_JacobianEcDouble(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />s_x,<sp />uint32_t<sp />s_y,<sp />uint32_t<sp />s_z,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_JacobianEcScalarMul(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />s_x,<sp />uint32_t<sp />s_y,<sp />uint32_t<sp />d,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_JacobianTransform(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />s_x,<sp />uint32_t<sp />s_y,<sp />uint32_t<sp />s_z);</highlight></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_JacobianInvTransform(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />s_x,<sp />uint32_t<sp />s_y,<sp />uint32_t<sp />s_z,<sp />uint32_t<sp />size);</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_EC_NistP_PointMul(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />p_x,<sp />uint32_t<sp />p_y,<sp />uint32_t<sp />p_d,<sp />uint32_t<sp />p_order,<sp />uint32_t<sp />bitsize);</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />(CPUSS_CRYPTO_VU<sp />==<sp />1)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal">}</highlight></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />defined(CY_IP_MXCRYPTO)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />!defined(CY_CRYPTO_CORE_NIST_P_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc_nist_p.h" />
  </compounddef>
</doxygen>